## org.w3c.www.http
Class HttpAccessException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.www.http.HttpAccessException

public class HttpAccessException
extends java.lang.RuntimeException

Invalid access to an HTTP message header. Invalid access to HTTP message headers can take several forms.

See Also:
  Serialized Form

Constructor Summary
`HttpAccessException(int idx)` Invalid header index.
`HttpAccessException(java.lang.String name)` Invalid header name.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpAccessException

    public HttpAccessException(int idx)

  Invalid header index.
  Parameters:
    `idx` - The faulty header index.

### HttpAccessException

    public HttpAccessException(java.lang.String name)

  Invalid header name.
  Parameters:
    `name` - The name of the unknown header.